Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.ui
[Groovy] Class ConsoleIvyPlugin

    java.lang.Object
      groovy.ui.ConsoleIvyPlugin

    class ConsoleIvyPlugin

Groovy Swing console. Adds Groovy Grape feedback (via an Ivy listener).

Authors:
  Guillaume Laforge
  Paul King

Property Summary
`java.util.Set` | `downloadedArtifacts`
`java.util.Set` | `resolvedDependencies`
`java.io.Console` | `savedConsole`

Method Summary
`java.lang.Object` | `addListener(Console console)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### downloadedArtifacts

    java.util.Set downloadedArtifacts

### resolvedDependencies

    java.util.Set resolvedDependencies

### savedConsole

    java.io.Console savedConsole

Method Detail

### addListener

    java.lang.Object addListener(Console console)

Groovy Documentation